diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/three-gpp-channel-example.cc ns-3.43/src/spectrum/examples/three-gpp-channel-example.cc
--- ns-3.42/src/spectrum/examples/three-gpp-channel-example.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/three-gpp-channel-example.cc	2024-10-09 16:41:10.088656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/three-gpp-ntn-channel-example.cc ns-3.43/src/spectrum/examples/three-gpp-ntn-channel-example.cc
--- ns-3.42/src/spectrum/examples/three-gpp-ntn-channel-example.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/three-gpp-ntn-channel-example.cc	2024-10-09 16:41:10.088656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2023 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /**
@@ -58,7 +47,8 @@
 static Ptr<ThreeGppPropagationLossModel>
     m_propagationLossModel; //!< the PropagationLossModel object
 static Ptr<ThreeGppSpectrumPropagationLossModel>
-    m_spectrumLossModel; //!< the SpectrumPropagationLossModel object
+    m_spectrumLossModel;          //!< the SpectrumPropagationLossModel object
+static std::ofstream resultsFile; //!< The results file
 
 /**
  * @brief Create the PSD for the TX
@@ -298,12 +288,10 @@
     // compute the SNR
     NS_LOG_DEBUG("Average SNR " << 10 * log10(Sum(*rxSsp->psd) / Sum(*noisePsd)) << " dB");
 
-    // print the SNR and pathloss values in the ntn-snr-trace.txt file
-    std::ofstream f;
-    f.open("ntn-snr-trace.txt", std::ios::out | std::ios::app);
-    f << Simulator::Now().GetSeconds() << " " << 10 * log10(Sum(*rxSsp->psd) / Sum(*noisePsd))
-      << " " << propagationGainDb << std::endl;
-    f.close();
+    // print the SNR and pathloss values in the output file
+    resultsFile << Simulator::Now().GetSeconds() << " "
+                << 10 * log10(Sum(*rxSsp->psd) / Sum(*noisePsd)) << " " << propagationGainDb
+                << std::endl;
 }
 
 int
@@ -482,6 +470,10 @@
     DoBeamforming(rxDev, rxAntenna, txDev);
     DoBeamforming(txDev, txAntenna, rxDev);
 
+    // Open the output results file
+    resultsFile.open("ntn-snr-trace.txt", std::ios::out);
+    NS_ASSERT_MSG(resultsFile.is_open(), "Results file could not be created");
+
     for (int i = 0; i < floor(simTimeMs / timeResMs); i++)
     {
         Simulator::Schedule(MilliSeconds(timeResMs * i),
@@ -499,5 +491,8 @@
 
     Simulator::Run();
     Simulator::Destroy();
+
+    resultsFile.close();
+
     return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc ns-3.43/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc
--- ns-3.42/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc	2024-10-09 16:41:10.088656700 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/tv-trans-example.cc ns-3.43/src/spectrum/examples/tv-trans-example.cc
--- ns-3.42/src/spectrum/examples/tv-trans-example.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/tv-trans-example.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/examples/tv-trans-regional-example.cc ns-3.43/src/spectrum/examples/tv-trans-regional-example.cc
--- ns-3.42/src/spectrum/examples/tv-trans-regional-example.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/examples/tv-trans-regional-example.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.cc ns-3.43/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.cc
--- ns-3.42/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.h ns-3.43/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.h
--- ns-3.42/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/adhoc-aloha-noack-ideal-phy-helper.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/spectrum-analyzer-helper.cc ns-3.43/src/spectrum/helper/spectrum-analyzer-helper.cc
--- ns-3.42/src/spectrum/helper/spectrum-analyzer-helper.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/spectrum-analyzer-helper.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/spectrum-analyzer-helper.h ns-3.43/src/spectrum/helper/spectrum-analyzer-helper.h
--- ns-3.42/src/spectrum/helper/spectrum-analyzer-helper.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/spectrum-analyzer-helper.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/spectrum-helper.cc ns-3.43/src/spectrum/helper/spectrum-helper.cc
--- ns-3.42/src/spectrum/helper/spectrum-helper.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/spectrum-helper.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/spectrum-helper.h ns-3.43/src/spectrum/helper/spectrum-helper.h
--- ns-3.42/src/spectrum/helper/spectrum-helper.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/spectrum-helper.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/tv-spectrum-transmitter-helper.cc ns-3.43/src/spectrum/helper/tv-spectrum-transmitter-helper.cc
--- ns-3.42/src/spectrum/helper/tv-spectrum-transmitter-helper.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/tv-spectrum-transmitter-helper.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/tv-spectrum-transmitter-helper.h ns-3.43/src/spectrum/helper/tv-spectrum-transmitter-helper.h
--- ns-3.42/src/spectrum/helper/tv-spectrum-transmitter-helper.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/tv-spectrum-transmitter-helper.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/waveform-generator-helper.cc ns-3.43/src/spectrum/helper/waveform-generator-helper.cc
--- ns-3.42/src/spectrum/helper/waveform-generator-helper.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/waveform-generator-helper.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/helper/waveform-generator-helper.h ns-3.43/src/spectrum/helper/waveform-generator-helper.h
--- ns-3.42/src/spectrum/helper/waveform-generator-helper.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/helper/waveform-generator-helper.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/aloha-noack-mac-header.cc ns-3.43/src/spectrum/model/aloha-noack-mac-header.cc
--- ns-3.42/src/spectrum/model/aloha-noack-mac-header.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/aloha-noack-mac-header.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/aloha-noack-mac-header.h ns-3.43/src/spectrum/model/aloha-noack-mac-header.h
--- ns-3.42/src/spectrum/model/aloha-noack-mac-header.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/aloha-noack-mac-header.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009, 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/aloha-noack-net-device.cc ns-3.43/src/spectrum/model/aloha-noack-net-device.cc
--- ns-3.42/src/spectrum/model/aloha-noack-net-device.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/aloha-noack-net-device.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/aloha-noack-net-device.h ns-3.43/src/spectrum/model/aloha-noack-net-device.h
--- ns-3.42/src/spectrum/model/aloha-noack-net-device.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/aloha-noack-net-device.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/constant-spectrum-propagation-loss.cc ns-3.43/src/spectrum/model/constant-spectrum-propagation-loss.cc
--- ns-3.42/src/spectrum/model/constant-spectrum-propagation-loss.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/constant-spectrum-propagation-loss.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/constant-spectrum-propagation-loss.h ns-3.43/src/spectrum/model/constant-spectrum-propagation-loss.h
--- ns-3.42/src/spectrum/model/constant-spectrum-propagation-loss.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/constant-spectrum-propagation-loss.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/friis-spectrum-propagation-loss.cc ns-3.43/src/spectrum/model/friis-spectrum-propagation-loss.cc
--- ns-3.42/src/spectrum/model/friis-spectrum-propagation-loss.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/friis-spectrum-propagation-loss.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/friis-spectrum-propagation-loss.h ns-3.43/src/spectrum/model/friis-spectrum-propagation-loss.h
--- ns-3.42/src/spectrum/model/friis-spectrum-propagation-loss.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/friis-spectrum-propagation-loss.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/half-duplex-ideal-phy.cc ns-3.43/src/spectrum/model/half-duplex-ideal-phy.cc
--- ns-3.42/src/spectrum/model/half-duplex-ideal-phy.cc	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/half-duplex-ideal-phy.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/half-duplex-ideal-phy.h ns-3.43/src/spectrum/model/half-duplex-ideal-phy.h
--- ns-3.42/src/spectrum/model/half-duplex-ideal-phy.h	2024-05-29 15:29:47.168073700 -0700
+++ ns-3.43/src/spectrum/model/half-duplex-ideal-phy.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
